GET
Use dark colors for code blocksCopy
1
https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta-rc/static-maps/arcgis/{arcgis-style}/attribution
Returns the attribution for an ArcGIS Basemap style.

Esri and data attribution must be displayed whenever the static map is visible. Attribution should be placed near the map, or embed within the image or provided through a popup or menu if the map is embedded in an application or website.

The data attribution for an ArcGIS Basemap style can be retrieved from the /static-maps/arcgis/{arcgis-style}/attribution endpoint.

To learn more about attribution requirements for static maps, see Esri and data attribution.

Query parameters

NameTypeRequiredDefault valueDescription
fstringjson

Optional, case-sensitive parameter to specify the format in which responses are given. Can either be json or pjson.

tokenstring

An access token with the static maps service privilege. To pass the token as an authorization header, see HTTP authorization headers.

f

Optional, case-sensitive parameter to specify the format in which responses are given. Can either be json or pjson.

Default
json

Enumerated values

json
Click to copy
pjson
Click to copy

token

An access token with the static maps service privilege. To pass the token as an authorization header, see HTTP authorization headers.

The token parameter can be either an API Key or short-lived token.

This parameter is required unless you supply an access token in the request header with one of the following keys using the "Bearer" scheme:

  • Authorization: Bearer <YOUR_TOKEN>
  • X-Esri-Authorization: Bearer <YOUR_TOKEN>

The provided token must be created from an ArcGIS Location Platform account and have the necessary portal:user:allowBetaAccess privilege to use the static maps service.

Path parameters

NameTypeRequiredDescription
arcgis-stylestring

The ArcGIS basemap style used to render the map.

arcgis-style

The ArcGIS basemap style used to render the map.

GroupStyleExampleDescriptionData attribution
StreetsnavigationnavigationA custom navigation style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsnavigation-nightnavigation-nightA custom navigation style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
StreetsstreetsstreetsA classic Esri street map style designed for use during daylight hoursEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
Streetsstreets-nightstreets-nightA classic Esri street map style designed for use in hours of darknessEsri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community
SatelliteimageryimageryLow-resolution satellite imagery for the world and high-resolution satellite and aerial imagery, typically within 3-5 years of currency, for most of the world.Esri, Vantor, GeoEye, Earthstar Geographics, CNES/Airbus DS, USDA, USGS, AeroGRID, IGN, © OpenStreetMap contributors, TomTom, Garmin, FAO, NOAA, and the GIS User Community

Enumerated values

streets
Click to copy
streets-night
Click to copy
navigation
Click to copy
navigation-night
Click to copy
imagery
Click to copy

Response status

StatusMeaningDescriptionSchema
200OK

Attribution for a map style.

Attribution
400Bad Request

Invalid query parameters / Incorrect portal item type / Data URL parse failure.

Error
401Unauthorized

Authentication Error. The API key or token is missing, invalid or expired.

Error
403Forbidden

The requested resource cannot be accessed because of incorrect sharing permissions.

Error
5XXServer Error

An error occurred on the server.

Error

Examples

Request

Use dark colors for code blocksCopy
1
2
# You can also use wget
curl -X GET 'https://static-maps-api.arcgis.com/arcgis/rest/services/static-maps-service/beta-rc/static-maps/arcgis/streets/attribution?token=YOUR_TOKEN'

Response

Use dark colors for code blocksCopy
1
2
3
{
  "attribution": "Esri, TomTom, Garmin, FAO, NOAA, USGS, © OpenStreetMap contributors, and the GIS User Community.\n"
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.